1

I upgraded from 2.1.7 to 2.2.1 and now the State field is throwing an error on my registration page. It works fine in the backend. I've tried removing the register.phtml file from my theme so that its using the default Magento version, flushed the cache and rebuilt the static files.

Here's the error I'm receiving:

"http://xxxxx/pub/static/version1513811009/frontend/TemplateMonster/theme007_child/en_US/regionUpdater.js net::ERR_ABORTED

Uncaught Error: Script error for: regionUpdater http://requirejs.org/docs/errors.html#scripterror"

The error is happening on the "head.appendChild(node)" line in requirejs. I'm at a loss as to where to go from here.

1

Still dont understand why regionUpdater.js isnt being created. As a workaround, I added requirejs-config.js is my child theme at app/design/vendor/theme/Magento_Customer/requirejs-config.js

The file consists of the following code

**
* Copyright © Magento, Inc. All rights reserved.
* See COPYING.txt for license details.
*/

var config = {
    map: {
        '*': {           
            regionUpdater:          'Magento_Checkout/js/region-updater'
        }
    }
};

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.